Bug 189144 - I18N : REST test html files are generated by using iso-8859-1
I18N : REST test html files are generated by using iso-8859-1
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: REST
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Milan Kuchtiak
issues@webservices
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 05:02 UTC by Masaki Katakai
Modified: 2010-08-17 03:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot : Japanese characters are garbled (42.53 KB, image/png)
2010-08-03 05:02 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2010-08-03 05:02:21 UTC
Created attachment 101154 [details]
screenshot : Japanese characters are garbled

NetBeans IDE 6.9.1 (Build 201007282301)

Files generated by IDE for RESTful web service testing are using iso-8859-1. So localized strings are garbled.

1. Start NetBeans
2. Create a Web project
3. Create RESTful web service from database
4. Run RESTful web service

Some HTML files are generated but it defines iso-8859-1 as charset in it e.g. in test-resbeans.html.

<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

The HTML file contains localized strings so it should be the same encoding of source encoding. Localized strings should be output by using the encoding. Currently it seems that platform encoding is used. Or using UTF-8 is fine.
Comment 1 Milan Kuchtiak 2010-08-13 14:45:52 UTC
Fixed.
Set default encoding to UTF-8
http://hg.netbeans.org/web-main/rev/2c3417a9dd75
Comment 2 Quality Engineering 2010-08-17 03:17:21 UTC
Integrated into 'main-golden', will be available in build *201008170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2c3417a9dd75
User: mkuchtiak@netbeans.org
Log: #189144 set default encoding to UTF-8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo